Bug 854366 - will need to label /lib/security/pam_krb5/pam_krb5_cchelper as bin_t
will need to label /lib/security/pam_krb5/pam_krb5_cchelper as bin_t
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 14:42 EDT by Nalin Dahyabhai
Modified: 2012-09-12 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 19:51:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2012-09-04 14:42:50 EDT
Description of problem:
An upcoming version of pam_krb5 will be adding a new helper binary, and we'll need to label it as bin_t rather than the lib_t that it would have by default.

Based on what I see for the storetmp helper, it looks like these will be needed:
/lib/security/pam_krb5/pam_krb5_cchelper -- system_u:object_r:bin_t:s0
/usr/lib/security/pam_krb5/pam_krb5_cchelper -- system_u:object_r:bin_t:s0
Comment 1 Daniel Walsh 2012-09-04 16:29:32 EDT
Fixed in selinux-policy-3.11.1-16.fc18.noarch
Comment 2 Fedora Update System 2012-09-07 09:25:55 EDT
selinux-policy-3.11.1-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-16.fc18
Comment 3 Fedora Update System 2012-09-07 15:37:58 EDT
Package selinux-policy-3.11.1-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-16.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-16.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-12 08:32:56 EDT
selinux-policy-3.11.1-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-18.fc18
Comment 5 Fedora Update System 2012-09-12 15:13:08 EDT
Package selinux-policy-3.11.1-18.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-18.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-18.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-12 19:51:59 EDT
selinux-policy-3.11.1-18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.